Page MenuHomePhabricator

Missing php5-mcrypt module from tools-exec-14xx
Closed, DuplicatePublic

Description

I manage a tool that requires the php5-mcrypt module in order to run some background jobs. This module was available in tools-exec-12xx hosts, but it is not present in tools-exec-14xx hosts.

Event Timeline

Incola created this task.Nov 2 2016, 3:13 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptNov 2 2016, 3:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
scfc triaged this task as Low priority.Dec 1 2016, 9:49 PM
scfc moved this task from Triage to In Progress on the Cloud-Services board.
scfc added a subscriber: scfc.

The php5-mcrypt should be installed on all execution nodes and is indeed (at least on Trusty instances):

scfc@tools-puppetmaster-02:~$ clush -g exec-trusty 'if dpkg-query -s php5-mcrypt > /dev/null; then echo Installed.; else echo Not installed.; fi'
tools-exec-1412.tools.eqiad.wmflabs: Installed.
tools-exec-1415.tools.eqiad.wmflabs: Installed.
tools-exec-1411.tools.eqiad.wmflabs: Installed.
tools-exec-1414.tools.eqiad.wmflabs: Installed.
tools-exec-1413.tools.eqiad.wmflabs: Installed.
tools-exec-1416.tools.eqiad.wmflabs: Installed.
tools-exec-1420.tools.eqiad.wmflabs: Installed.
tools-exec-1418.tools.eqiad.wmflabs: Installed.
tools-exec-1402.tools.eqiad.wmflabs: Installed.
tools-exec-1419.tools.eqiad.wmflabs: Installed.
tools-exec-1403.tools.eqiad.wmflabs: Installed.
tools-exec-1407.tools.eqiad.wmflabs: Installed.
tools-exec-1410.tools.eqiad.wmflabs: Installed.
tools-exec-1408.tools.eqiad.wmflabs: Installed.
tools-exec-1409.tools.eqiad.wmflabs: Installed.
tools-exec-1405.tools.eqiad.wmflabs: Installed.
tools-exec-1417.tools.eqiad.wmflabs: Installed.
tools-exec-1401.tools.eqiad.wmflabs: Installed.
tools-exec-1406.tools.eqiad.wmflabs: Installed.
tools-exec-1404.tools.eqiad.wmflabs: Installed.
scfc@tools-puppetmaster-02:~$

@Incola, on what host did you encounter problems?

Incola added a comment.Dec 2 2016, 8:03 AM

I'm sorry, I don't know how to discover on what host the job was executed.

I have tried the following:

tools.lists@tools-bastion-03:~$ jsub -release=precise -o precise.out php5 -m
Your job 604662 ("php5") has been submitted
tools.lists@tools-bastion-03:~$ jsub -release=trusty -o trusty.out php5 -m
Your job 604674 ("php5") has been submitted
tools.lists@tools-bastion-03:~$ diff precise.out trusty.out
25d24
< mcrypt
40d38
< readline
60a59
> Zend OPcache
65a65
> Zend OPcache

It appears that mcrypt and readline are not available on Trusty hosts.

scfc added a comment.Dec 2 2016, 2:43 PM

Thanks for the detailed report. I remembered reading something similar, and it turns out this issue had already been filed as T97857 which was closed because the user did not use mcrypt any more. I'll reopen that issue and propose a solution there.